> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/guides/payments/customize-payments/add-payment-instructions-to-the-checkout.md).

# Add payment instructions to the checkout

Use payment instructions to guide the customers through the next steps when they select your payment method at checkout. Or explain any fees your payment requires.

To add instructions, first you need to find your payment method ID with REST API call. And then to update instruction details for the payment method with a PUT request.

### Step 1. Find payment method ID with API call

Make a GET call to `/profile/paymentOptions:`

<mark style="color:green;">`GET`</mark> `https://app.ecwid.com/api/v3/{storeId}/profile/paymentOptions?responseFields=id,appClientId`

In response, you’ll see a JSON with payment options:

```json
[
    {
        "id": "13379-1606718590771",
        "appClientId": ""
    },
    {
        "id": "1272790545-1729232856479",
        "appClientId": "custom-app-15695068-1"
    }
]

```

Parse the response and find the one, where the `appClientId` value matches with your app’s client\_id.

### Step 2. Update fees for the payment method with API call

After getting the payment option ID, use it in a second PUT call that adds an instruction to the payment method. The fee has two main settings: title and the instruction text in the following format:

```json
{
    "instructionsForCustomer": {
        "instructionsTitle": "Payment instructions",
        "instructions": "Pay easily with the following steps: ",
        "instructionsTranslated": {
            "en": "Pay easily with the following steps: ",
            "nl": "Betaal eenvoudig met de volgende stappen:"
        }
    }
}

```

The `instructionsTranslated` object is optional, it’s only required if your store is multilingual and you want to add translations for the instruction. The first “language: value” pair here must match the main store language and text in the \`instructions\` field.

Request example:

<mark style="color:purple;">`PUT`</mark> `https://app.ecwid.com/api/v3/{storeId}/profile/paymentOptions/1272790545-1729232856479`

```json
{
    "instructionsForCustomer": {
        "instructionsTitle": "Need any help?",
        "instructions": "Pay easily with the following instructions: …"
    }
}

```

In response you’ll see \`200 OK\` HTTP status with the response body:

```json
{
    "updateCount": 1
}
```

Now your payment method has customer instructions visible at the store checkout.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecwid.com/guides/payments/customize-payments/add-payment-instructions-to-the-checkout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
